<?xml version="1.0" encoding="UTF-8"?>
<filter-conf>
    <version>20201117</version>
    <isOpen>1</isOpen>
    <filter-name>sys_alarm_filterpackages_list</filter-name>

    <AlignInterval>5</AlignInterval>
    <AlignIntervalForBlack>30</AlignIntervalForBlack>
    <AlignFirstDelay>0</AlignFirstDelay>

    <UidWhiteArray>1000</UidWhiteArray>
    <UidWhiteArray>1001</UidWhiteArray>

    <KeyArray>clock</KeyArray>
    <KeyArray>alarm</KeyArray>
    <KeyArray>calendar</KeyArray>

    <!--PkgWhiteArray对齐唤醒白名单-->
    <PkgWhiteArray>com.android.cts.app</PkgWhiteArray>
    <PkgWhiteArray>com.android.cts.stub</PkgWhiteArray>
    <PkgWhiteArray>com.android.deskclock</PkgWhiteArray>
    <PkgWhiteArray>com.android.mms</PkgWhiteArray>
    <PkgWhiteArray>com.android.providers.calendar</PkgWhiteArray>
    <PkgWhiteArray>com.heytap.music</PkgWhiteArray>
    <PkgWhiteArray>com.mobiletools.systemhelper</PkgWhiteArray>
    <PkgWhiteArray>com.heytap.themestore</PkgWhiteArray>
    <PkgWhiteArray>com.android.keyguard</PkgWhiteArray>
    <PkgWhiteArray>com.oplus.ota</PkgWhiteArray>
    <PkgWhiteArray>com.oplus.romupdate</PkgWhiteArray>
    <PkgWhiteArray>com.heytap.market</PkgWhiteArray>
    <PkgWhiteArray>com.android.browser</PkgWhiteArray>
    <PkgWhiteArray>com.heytap.browser</PkgWhiteArray>
    <PkgWhiteArray>com.google.android.keep</PkgWhiteArray>
    <PkgWhiteArray>droom.sleepIfUCan</PkgWhiteArray>
    <PkgWhiteArray>com.oplus.sau</PkgWhiteArray>
    <PkgWhiteArray>com.miniapp.naozhong</PkgWhiteArray>
    <PkgWhiteArray>com.tencent.mm</PkgWhiteArray>
    <PkgWhiteArray>com.heytap.pictorial</PkgWhiteArray>
    <PkgWhiteArray>com.google.android.networkstack</PkgWhiteArray>
    <PkgWhiteArray>com.android.systemui</PkgWhiteArray>
    <PkgWhiteArray>com.oplus.sauhelper</PkgWhiteArray>
    <PkgWhiteArray>com.heytap.speechassist</PkgWhiteArray>
    <PkgWhiteArray>net.oneplus.weather</PkgWhiteArray>
    <PkgWhiteArray>net.oneplus.launcher</PkgWhiteArray>
    <PkgWhiteArray>com.oneplus.membership</PkgWhiteArray>
    <PkgWhiteArray>com.oneplus.screenrecord</PkgWhiteArray>
    <PkgWhiteArray>net.oneplus.push</PkgWhiteArray>
    <PkgWhiteArray>com.oneplus.deskclock</PkgWhiteArray>
    <PkgWhiteArray>com.oneplus.brickmode</PkgWhiteArray>

    <!--AlignWhiteArray以下是对齐到5分钟白名单-->
    <AlignWhiteArray>com.google.android.gms</AlignWhiteArray>
    <AlignWhiteArray>com.pressuretest.test</AlignWhiteArray>
    <AlignWhiteArray>com.taobao.qianniu</AlignWhiteArray>
    <AlignWhiteArray>com.google.android.gsf</AlignWhiteArray>
    <AlignWhiteArray>com.kuaidi.daijia.driver</AlignWhiteArray>
    <AlignWhiteArray>com.sdu.didi.gsui</AlignWhiteArray>
    <AlignWhiteArray>com.sdu.didi.gui</AlignWhiteArray>
    <AlignWhiteArray>com.duoduo.vip.taxi</AlignWhiteArray>
    <AlignWhiteArray>com.ubercab.driver</AlignWhiteArray>
    <AlignWhiteArray>net.zdsoft.taxiclient2</AlignWhiteArray>
    <AlignWhiteArray>cn.edaijia.android.driverclient</AlignWhiteArray>
    <AlignWhiteArray>com.yongche</AlignWhiteArray>
    <AlignWhiteArray>com.funcity.taxi.driver</AlignWhiteArray>
    <AlignWhiteArray>com.hn.client.driver</AlignWhiteArray>
    <AlignWhiteArray>com.joyskim.taxis_driver</AlignWhiteArray>
    <AlignWhiteArray>com.anyimob.taxi</AlignWhiteArray>
    <AlignWhiteArray>com.eastedge.taxidriverforpad</AlignWhiteArray>
    <AlignWhiteArray>com.sankuai.meituan.dispatch.homebrew</AlignWhiteArray>
    <AlignWhiteArray>com.baidu.lbs.waimai.baidurider</AlignWhiteArray>
    <AlignWhiteArray>com.qe.powerlife</AlignWhiteArray>>
    <AlignWhiteArray>com.sohu.inputmethod.sogou</AlignWhiteArray>
    <AlignWhiteArray>com.anddoes.launcher</AlignWhiteArray>
    <AlignWhiteArray>com.mobint.hololauncher</AlignWhiteArray>
    <AlignWhiteArray>com.teslacoilsw.launcher</AlignWhiteArray>
    <AlignWhiteArray>com.google.android.apps.plus</AlignWhiteArray>
    <AlignWhiteArray>com.google.android.talk</AlignWhiteArray>
    <AlignWhiteArray>com.kakao.talk</AlignWhiteArray>
    <AlignWhiteArray>com.linkedin.android</AlignWhiteArray>
    <AlignWhiteArray>com.myspace.spacerock</AlignWhiteArray>
    <AlignWhiteArray>com.path</AlignWhiteArray>
    <AlignWhiteArray>com.pinterest</AlignWhiteArray>
    <AlignWhiteArray>com.skype.raider</AlignWhiteArray>
    <AlignWhiteArray>com.skype.rover</AlignWhiteArray>
    <AlignWhiteArray>com.snapchat.android</AlignWhiteArray>
    <AlignWhiteArray>com.quoord.tapatalkpro.activity</AlignWhiteArray>
    <AlignWhiteArray>org.telegram.messenger</AlignWhiteArray>
    <AlignWhiteArray>com.tinder</AlignWhiteArray>
    <AlignWhiteArray>com.tumblr</AlignWhiteArray>
    <AlignWhiteArray>com.twitter.android</AlignWhiteArray>
    <AlignWhiteArray>co.vine.android</AlignWhiteArray>
    <AlignWhiteArray>com.vkontakte.android</AlignWhiteArray>
    <AlignWhiteArray>com.yahoo.mobile.client.android.im</AlignWhiteArray>
    <AlignWhiteArray>com.zing.zalo</AlignWhiteArray>
    <AlignWhiteArray>com.beetalk</AlignWhiteArray>
    <AlignWhiteArray>ru.mail</AlignWhiteArray>
    <AlignWhiteArray>com.oovoo</AlignWhiteArray>
    <AlignWhiteArray>kr.co.vcnc.android.couple</AlignWhiteArray>
    <AlignWhiteArray>de.avm.android.fritzapp</AlignWhiteArray>
    <AlignWhiteArray>com.jb.gosms</AlignWhiteArray>
    <AlignWhiteArray>com.jb.zerosms</AlignWhiteArray>
    <AlignWhiteArray>factory.widgets.SenseClock</AlignWhiteArray>
    <AlignWhiteArray>mohammad.adib.sidebar.lite</AlignWhiteArray>
    <AlignWhiteArray>com.droid27.transparentclockweather</AlignWhiteArray>
    <AlignWhiteArray>com.devexpert.weather</AlignWhiteArray>
    <AlignWhiteArray>com.acmeaom.android.myradar</AlignWhiteArray>
    <AlignWhiteArray>com.handmark.expressweather</AlignWhiteArray>
    <AlignWhiteArray>factory.widgets.ThreeDDigitalWeatherClock</AlignWhiteArray>
    <AlignWhiteArray>com.accuweather.android</AlignWhiteArray>
    <AlignWhiteArray>com.mobilityflow.animatedweather.free</AlignWhiteArray>
    <AlignWhiteArray>com.weather.Weather</AlignWhiteArray>
    <AlignWhiteArray>com.citc.weather</AlignWhiteArray>
    <AlignWhiteArray>com.aws.android</AlignWhiteArray>
    <AlignWhiteArray>com.yahoo.mobile.client.android.weather</AlignWhiteArray>
    <AlignWhiteArray>com.usnaviguide.radar_now</AlignWhiteArray>
    <AlignWhiteArray>org.kman.AquaMail</AlignWhiteArray>
    <AlignWhiteArray>com.google.android.gm</AlignWhiteArray>
    <AlignWhiteArray>com.yahoo.mobile.client.android.mail</AlignWhiteArray>
    <AlignWhiteArray>ru.mail.my</AlignWhiteArray>
    <AlignWhiteArray>ru.ok.android</AlignWhiteArray>
    <AlignWhiteArray>ru.mail.mailapp</AlignWhiteArray>
    <AlignWhiteArray>com.clearchannel.iheartradio.controller</AlignWhiteArray>
    <AlignWhiteArray>com.spotify.mobile.android.ui</AlignWhiteArray>
    <AlignWhiteArray>tunein.player</AlignWhiteArray>
    <AlignWhiteArray>net.zedge.android</AlignWhiteArray>
    <AlignWhiteArray>com.android.launcher</AlignWhiteArray>
    <AlignWhiteArray>com.pandora.android</AlignWhiteArray>
    <AlignWhiteArray>com.ubercab</AlignWhiteArray>
    <AlignWhiteArray>com.olacabs.customer</AlignWhiteArray>
    <AlignWhiteArray>com.myteksi.passenger</AlignWhiteArray>
    <AlignWhiteArray>com.grabtaxi.passenger</AlignWhiteArray>
    <AlignWhiteArray>com.emoji.keyboard.touchpal</AlignWhiteArray>
    <AlignWhiteArray>com.android.email</AlignWhiteArray>
    <AlignWhiteArray>com.truecaller</AlignWhiteArray>
    <AlignWhiteArray>com.truecaller.phoneapp</AlignWhiteArray>
    <AlignWhiteArray>com.truecaller.messenger</AlignWhiteArray>
    <AlignWhiteArray>com.jb.emoji.gokeyboard</AlignWhiteArray>
    <AlignWhiteArray>com.lenovo.anyshare.gps</AlignWhiteArray>
    <AlignWhiteArray>cn.xender</AlignWhiteArray>
    <AlignWhiteArray>com.facebook.services</AlignWhiteArray>
    <AlignWhiteArray>com.tencent.mm</AlignWhiteArray>

    <!--FilterPackagesArray以下是一键清理闹钟白名单-->
    <FilterPackagesArray>com.android.calendar</FilterPackagesArray>
    <FilterPackagesArray>com.android.mms</FilterPackagesArray>
    <FilterPackagesArray>com.android.settings</FilterPackagesArray>
    <FilterPackagesArray>com.heytap.market</FilterPackagesArray>
    <FilterPackagesArray>com.oplus.ota</FilterPackagesArray>
    <FilterPackagesArray>com.nearme.statistics.rom</FilterPackagesArray>
    <FilterPackagesArray>android</FilterPackagesArray>
    <FilterPackagesArray>com.nearme.feedback</FilterPackagesArray>
    <FilterPackagesArray>com.systen.tongjiqi</FilterPackagesArray>
    <FilterPackagesArray>com.nearme.gamecenter</FilterPackagesArray>
    <FilterPackagesArray>com.heytap.gamecenter</FilterPackagesArray>
    <FilterPackagesArray>com.heytap.reader</FilterPackagesArray>
    <FilterPackagesArray>com.android.browser</FilterPackagesArray>
    <FilterPackagesArray>com.heytap.browser</FilterPackagesArray>
    <FilterPackagesArray>com.oplus.backuprestore</FilterPackagesArray>
    <FilterPackagesArray>com.oneplus.backuprestore</FilterPackagesArray>
    <FilterPackagesArray>com.android.engineeringmode</FilterPackagesArray>
    <FilterPackagesArray>com.heytap.usercenter</FilterPackagesArray>
    <FilterPackagesArray>com.zdworks.android.zdclock</FilterPackagesArray>
    <FilterPackagesArray>com.heytap.themestore</FilterPackagesArray>
    <FilterPackagesArray>com.oplus.romupdate</FilterPackagesArray>
    <FilterPackagesArray>com.android.providers.calendar</FilterPackagesArray>
    <FilterPackagesArray>com.oplus.sau</FilterPackagesArray>
    <FilterPackagesArray>com.android.contacts</FilterPackagesArray>
    <FilterPackagesArray>com.heytap.cloud</FilterPackagesArray>
    <FilterPackagesArray>com.ted.number</FilterPackagesArray>
    <FilterPackagesArray>com.nearme.ocloud</FilterPackagesArray>
    <FilterPackagesArray>com.nearme.sync</FilterPackagesArray>
    <FilterPackagesArray>com.oplus.securepay</FilterPackagesArray>
    <FilterPackagesArray>com.android.cellbroadcastreceiver</FilterPackagesArray>
    <FilterPackagesArray>com.qualcomm.qti.modemtestmode</FilterPackagesArray>
    <FilterPackagesArray>com.dropboxchmod</FilterPackagesArray>
    <FilterPackagesArray>com.oplus.wirelesssettings</FilterPackagesArray>
    <FilterPackagesArray>com.nearme.instant.platform</FilterPackagesArray>
    <FilterPackagesArray>com.heytap.instant.platform</FilterPackagesArray>
    <FilterPackagesArray>com.heytap.health</FilterPackagesArray>
    <FilterPackagesArray>com.oplus.uxdesign</FilterPackagesArray>
    <FilterPackagesArray>com.finshell.wallet</FilterPackagesArray>
    <FilterPackagesArray>com.oplus.eyeprotect</FilterPackagesArray>
    <FilterPackagesArray>com.oplus.cota</FilterPackagesArray>
    <FilterPackagesArray>com.oplus.sauhelper</FilterPackagesArray>
    <FilterPackagesArray>com.oplus.athena</FilterPackagesArray>
    <FilterPackagesArray>com.oplus.apprecover</FilterPackagesArray>
    <FilterPackagesArray>com.oplus.battery</FilterPackagesArray>
    <FilterPackagesArray>com.android.providers.media</FilterPackagesArray>
    <FilterPackagesArray>com.oneplus.membership</FilterPackagesArray>
    <FilterPackagesArray>com.oneplus.account</FilterPackagesArray>

    <PendingJobBlack>com.sina.weibo</PendingJobBlack>
    <PendingJobBlack>com.tencent.qqlive</PendingJobBlack>
    <PendingJobBlack>com.qiyi.video</PendingJobBlack>
    <PendingJobBlack>com.youku.phone</PendingJobBlack>
    <PendingJobBlack>com.smile.gifmaker</PendingJobBlack>
    <PendingJobBlack>com.ss.android.ugc.aweme</PendingJobBlack>
    <PendingJobBlack>com.tencent.tmgp.sgame</PendingJobBlack>
    <PendingJobBlack>com.tencent.tmgp.pubgmhd</PendingJobBlack>
    <PendingJobBlack>com.taobao.taobao</PendingJobBlack>
    <PendingJobBlack>com.baidu.searchbox</PendingJobBlack>
    <PendingJobBlack>com.UCMobile</PendingJobBlack>
    <PendingJobBlack>com.tencent.mtt</PendingJobBlack>
    <PendingJobBlack>com.ss.android.article.news</PendingJobBlack>
    <PendingJobBlack>com.kugou.android</PendingJobBlack>
    <PendingJobBlack>com.autonavi.minimap</PendingJobBlack>
    <PendingJobBlack>com.kmxs.reader</PendingJobBlack>
    <PendingJobBlack>com.xunmeng.pinduoduo</PendingJobBlack>
    <PendingJobBlack>com.jifen.qukan</PendingJobBlack>
    <PendingJobBlack>com.ss.android.article.video</PendingJobBlack>
    <PendingJobBlack>com.ss.android.article.lite</PendingJobBlack>
    <PendingJobBlack>com.zhihu.android</PendingJobBlack>

    <DeepSleepArray>com.oplus.sau=com.oplusos.sau.CHECK_SYS_APP_UPDATE=2</DeepSleepArray>
    <DeepSleepArray>com.oplus.sau=com.oplusos.sau.CHECK_ZIP_UPDATE=2</DeepSleepArray>
    <DeepSleepArray>com.oplus.sau=com.oplusos.sau.PUSH_QUERY_APP=2</DeepSleepArray>
    <DeepSleepArray>com.oplus.sau=com.oplusos.sau.PUSH_ARRIVE_FEEDBACK=2</DeepSleepArray>
    <DeepSleepArray>com.oplus.ota=oplus.intent.ota.CHECK_NEW_VERSION_UPDATE=2</DeepSleepArray>
    <DeepSleepArray>com.oplus.ota=oplus.intent.action.OTA_AUTO_DOWNLOAD=2</DeepSleepArray>
    <DeepSleepArray>com.oplus.ota=oplus.intent.action.OPLUS_REPORT_ABANDON_REPAIR=2</DeepSleepArray>
    <DeepSleepArray>com.oplus.ota=oplus.intent.action.OPLUS_REPROT_INSTALL_RESULT=2</DeepSleepArray>
    <DeepSleepArray>com.oplus.ota=oplus.intent.action.OTA_REPORT_DOWNLOAD_RESULT=2</DeepSleepArray>
    <DeepSleepArray>com.oplus.ota=oplus.intent.ota.PUSH_CHECK_NEW_VERSION_UPDATE=2</DeepSleepArray>
    <DeepSleepArray>com.oplus.ota=oplus.intent.action.OTA_PUSH_AUTO_DOWNLOAD=2</DeepSleepArray>
    <DeepSleepArray>com.oplus.romupdate=com.oplus.romupdate.broadcast.rom_update_filter_check=2</DeepSleepArray>
    <DeepSleepArray>com.heytap.cloud=com.heytap.intent.action.cloud.sync=2</DeepSleepArray>
    <DeepSleepArray>com.heytap.cloud=com.heytap.intent.action.awake_sync=2</DeepSleepArray>
    <DeepSleepArray>com.heytap.cloud=com.heytap.intent.action.alarm_sync_retry=2</DeepSleepArray>
    <DeepSleepArray>com.heytap.cloud=heytap.intent.action.CLUSTER_REMIND_RECEIVER_TRIGGER=2</DeepSleepArray>
    <DeepSleepArray>com.heytap.cloud=heytap.intent.action.CLUSTER_REMIND_RECEIVER_GET_RESULT=2</DeepSleepArray>
    <DeepSleepArray>com.heytap.pictorial=com.heytap.pictorial.auto.pulse=2</DeepSleepArray>
    <DeepSleepArray>com.heytap.market=com.heytap.market.broadcast.check.upgrade=2</DeepSleepArray>
    <DeepSleepArray>com.heytap.market=com.heytap.market.broadcast.check.automatic_upgrade=1</DeepSleepArray>
    <DeepSleepArray>com.nearme.gamecenter=com.nearme.gamecenter.broadcast.check.upgrade=2</DeepSleepArray>
    <DeepSleepArray>com.nearme.gamecenter=com.nearme.gamecenter.broadcast.check.automatic_upgrade=1</DeepSleepArray>
    <DeepSleepArray>com.heytap.gamecenter=com.heytap.gamecenter.broadcast.check.upgrade=2</DeepSleepArray>
    <DeepSleepArray>com.heytap.gamecenter=com.heytap.gamecenter.broadcast.check.automatic_upgrade=1</DeepSleepArray>

    <DeepSleepArray>com.nearme.statistics.rom/.service.UploadJobService</DeepSleepArray>
    <DeepSleepArray>com.heytap.cloud/com.cloud.base.commonsdk.loadmanager.file.SyncFilesJobService</DeepSleepArray>
    <DeepSleepArray>com.heytap.cloud/com.cloud.base.commonsdk.syncmanager.policy.CloudAutoSyncJobService</DeepSleepArray>
    <DeepSleepArray>com.ted.number/com.ted.android.common.update.TedJobScheduler</DeepSleepArray>
    <DeepSleepArray>com.oplus.battery=oplus.intent.action.deepsleep.StartTrafficNextDozeMaintenance=1</DeepSleepArray>

    <AcmeBlackWord>com.heytap</AcmeBlackWord>
</filter-conf>